Validate Address
| Request |
|
| Description |
Matches an address against the map module of the configuration. The request is used to verify if OMD Go can accept the address. |
| Context |
https://<instance>.optimizemyday.com/omdservices/rest/v1/services/data |
| URL |
/validateAddress |
| Method |
GET |
| Response Code |
200 when successful, another HTTP status code otherwise. Note that the response code may still be 200, even though no matches were found. |
| Success Response |
The list of matches. For contractual reasons, matches do not contain (latitude, longitude) information. Information on match levels can be found here. |
| Response Type |
XML or JSON |
| Parameter |
Datatype |
Description |
| configId |
Integer |
The identifier of the configuration. |
| street |
String |
The street and house number of the address. |
| postalCode |
String |
The postal code of the address. |
| province |
String |
The province or state of the address. |
| city |
String |
The city of the address. |
| country |
String |
The country of the address. |
| _output |
String |
The requested output format being xml or json. If omitted, xml is assumed. |
Sample Call
https://sandbox.optimizemyday.com/omdservices/rest/v1/services/data/validateAddress?configId=16167225&street=Grafenberger%20Allee%20100&postalCode=40237&province=NRW&&city=D%C3%BCsseldorf&country=DE
Sample Result
<Result success="true">
<Match city="Düsseldorf" country="DE" housenumber="100" postalCode="40237" street="Grafenberger Allee" level="1"/>
</Result>